Bug 367961 - Review Request: qca-gnupg - GnuPG plugin for the Qt Cryptographic Architecture v2
Review Request: qca-gnupg - GnuPG plugin for the Qt Cryptographic Architectur...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-06 02:39 EST by Aurelien Bompard
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-13 01:46:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
andreas.bierfert: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2007-11-06 02:39:46 EST
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/psi/qca-gnupg.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/psi/qca-gnupg-2.0.0-0.1.beta1.fc7.src.rpm
This is a plugin to provide GnuPG capability to programs that use the Qt
Cryptographic Architecture (QCA).  QCA is a library providing an easy API
for several cryptographic algorithms to Qt programs.  This package only
contains the GnuPG plugin.
Comment 1 Andreas Bierfert 2007-11-06 02:56:30 EST
Hash: SHA1

OK: rpmlint error can be ignored: qca-gnupg.src:35: E: configure-without-libdir-spec
OK: package is named according to guidelines
OK: spec matches base package %{name}
OK: package meets the packaging guidelines
OK: fedora approved license (LGPLv2+)
OK: license field matches license
OK: license is included in %doc
OK: spec is written in ae
OK: spec file is legible
OK: source matches upstream:
md5sum qca-gnupg-2.0.0-beta1.tar.bz2 /tmp/qca-gnupg-2.0.0-beta1.tar.bz2
88fe56f2b673fa7d66c8d18046ade22e  qca-gnupg-2.0.0-beta1.tar.bz2
88fe56f2b673fa7d66c8d18046ade22e  /tmp/qca-gnupg-2.0.0-beta1.tar.bz2
OK: builds fine on x86_64/f7
OK: BR are ok
OK: No duplicate files
OK: file perms are ok
OK: clean section
OK: macro usage
OK: %doc does not affect runtime
OK: no .la files
OK: does not own files or directories from other packages
OK: install section
OK: filenames are ok

Thus the package qca-gnupg
f4d80b826baff8b02be5a982bfc7559c  qca-gnupg-2.0.0-0.1.beta1.fc7.src.rpm
is approved.
Version: GnuPG v1.4.7 (GNU/Linux)

Comment 2 Aurelien Bompard 2007-11-06 17:15:22 EST
New Package CVS Request
Package Name: qca-gnupg
Short Description: GnuPG plugin for the Qt Cryptographic Architecture v2
Owners: abompard
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-11-12 15:10:47 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.